<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cybsp__types_8h" kind="file" language="C++">
    <compoundname>cybsp_types.h</compoundname>
    <includes local="yes">cyhal_pin_package.h</includes>
    <includedby local="yes" refid="cybsp_8h">cybsp.h</includedby>
    <incdepgraph>
      <node id="10">
        <label>cybsp_types.h</label>
        <link refid="cybsp__types_8h" />
        <childnode refid="11" relation="include">
        </childnode>
      </node>
      <node id="11">
        <label>cyhal_pin_package.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__bsp__pin__state_1gaedfd071923034a335d143b7b64579169" kind="define" prot="public" static="no">
        <name>CYBSP_LED_STATE_ON</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>Pin state for the LED on. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="47" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="47" />
      </memberdef>
      <memberdef id="group__group__bsp__pin__state_1ga31577fad7e20fcb174e2ecbea2dd063e" kind="define" prot="public" static="no">
        <name>CYBSP_LED_STATE_OFF</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Pin state for the LED off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="51" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="51" />
      </memberdef>
      <memberdef id="group__group__bsp__pin__state_1ga7778aac7809929e1032f406b59cbad90" kind="define" prot="public" static="no">
        <name>CYBSP_BTN_PRESSED</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>Pin state for when a button is pressed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="56" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="56" />
      </memberdef>
      <memberdef id="group__group__bsp__pin__state_1gafb9176679302bc5b2e002ad7caa56b09" kind="define" prot="public" static="no">
        <name>CYBSP_BTN_OFF</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Pin state for when a button is released. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="60" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="60" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1ga87255c0958307000fe32e768e45d2693" kind="define" prot="public" static="no">
        <name>CYBSP_LED1</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>LED 1; User LED1 (red) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="79" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="79" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1gaabc3ce31f840a85f1063ff3029ab79eb" kind="define" prot="public" static="no">
        <name>CYBSP_USER_LED1</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__led_1ga87255c0958307000fe32e768e45d2693">CYBSP_LED1</ref>)</initializer>
        <briefdescription>
<para>LED 1; User LED1 (red) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="84" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="84" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1gacc2bba8588b183ec1d448eda9a039d7c" kind="define" prot="public" static="no">
        <name>CYBSP_USER_LED</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__led_1gaabc3ce31f840a85f1063ff3029ab79eb">CYBSP_USER_LED1</ref>)</initializer>
        <briefdescription>
<para>LED 1; User LED1 (red) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="88" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="88" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__btn_1gad206d562ea8e282a7d3fc5f7f06dd498" kind="define" prot="public" static="no">
        <name>CYBSP_SW1</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Switch 1; User Button 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="101" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="101" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__btn_1ga719bfb6bb0a640a38d94febf75e45341" kind="define" prot="public" static="no">
        <name>CYBSP_USER_BTN1</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__btn_1gad206d562ea8e282a7d3fc5f7f06dd498">CYBSP_SW1</ref>)</initializer>
        <briefdescription>
<para>Switch 1; User Button 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="106" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="106" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__btn_1ga72717d2a6e1a64352274dfb2e5649ee9" kind="define" prot="public" static="no">
        <name>CYBSP_USER_BTN</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__btn_1ga719bfb6bb0a640a38d94febf75e45341">CYBSP_USER_BTN1</ref>)</initializer>
        <briefdescription>
<para>Switch 1; User Button 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="110" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="110" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga87d62aff3ed8c03d1ce66e2a7fa90f4b" kind="define" prot="public" static="no">
        <name>CYBSP_WIFI_SDIO_D0</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: WIFI SDIO D0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="123" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="123" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga6b1476fd26d05e548b39e3eac8ca067d" kind="define" prot="public" static="no">
        <name>CYBSP_WIFI_SDIO_D1</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: WIFI SDIO D1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="127" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="127" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga3ea3b59f511082e6616882dc64cadbb9" kind="define" prot="public" static="no">
        <name>CYBSP_WIFI_SDIO_D2</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: WIFI SDIO D2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="131" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="131" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gae0984157f595e2626f420c2f504602b0" kind="define" prot="public" static="no">
        <name>CYBSP_WIFI_SDIO_D3</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: WIFI SDIO D3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="135" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="135" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga84aaee84fd3639ebe802f835c02d364a" kind="define" prot="public" static="no">
        <name>CYBSP_WIFI_SDIO_CMD</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: WIFI SDIO CMD. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="139" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="139" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gad9cac48112cc5b44a707ab741956cd92" kind="define" prot="public" static="no">
        <name>CYBSP_WIFI_SDIO_CLK</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: WIFI SDIO CLK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="143" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="143" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gad1f1366c88d967f6856c6b89154d9403" kind="define" prot="public" static="no">
        <name>CYBSP_WIFI_WL_REG_ON</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: WIFI ON. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="147" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="147" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gad03531a5a7bdd646e29d417d45f089a8" kind="define" prot="public" static="no">
        <name>CYBSP_WIFI_HOST_WAKE</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: WIFI Host Wakeup. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="151" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="151" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gaedb2fc7c65fd4765368a9fc8acf16b44" kind="define" prot="public" static="no">
        <name>CYBSP_BT_UART_RX</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: BT UART RX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="156" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="156" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga598aa3824261cb9f6828c45bc93ce1bc" kind="define" prot="public" static="no">
        <name>CYBSP_BT_UART_TX</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: BT UART TX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="160" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="160" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gad8655e49bd423b566bee1346c63c252b" kind="define" prot="public" static="no">
        <name>CYBSP_BT_UART_RTS</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: BT UART RTS. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="164" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="164" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga62f968c28d6dd878d706411644df3b04" kind="define" prot="public" static="no">
        <name>CYBSP_BT_UART_CTS</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: BT UART CTS. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="168" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="168" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga07bdba5ea596bd4136de8a8b98c660e5" kind="define" prot="public" static="no">
        <name>CYBSP_BT_POWER</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: BT Power. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="173" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="173" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga49990e2184614916af625ad60c670cc9" kind="define" prot="public" static="no">
        <name>CYBSP_BT_HOST_WAKE</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: BT Host Wakeup. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="177" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="177" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga157d988297cf9f6e736a6b2568393b57" kind="define" prot="public" static="no">
        <name>CYBSP_BT_DEVICE_WAKE</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: BT Device Wakeup. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="181" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="181" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gae1daa9ae5985d8f4002347eee1362c76" kind="define" prot="public" static="no">
        <name>CYBSP_DEBUG_UART_RX</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: UART RX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="186" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="186" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gaea8cd882c067c13b1411796d5235286d" kind="define" prot="public" static="no">
        <name>CYBSP_DEBUG_UART_TX</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: UART TX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="190" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="190" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga034bfe0f68224dd376a9a79e07ab3451" kind="define" prot="public" static="no">
        <name>CYBSP_I2C_SCL</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: I2C SCL. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="195" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="195" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gad178ee7378678fe5829a826f9a4ed0b8" kind="define" prot="public" static="no">
        <name>CYBSP_I2C_SDA</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: I2C SDA. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="199" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="199" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga83425838dc05860473aebf66214ed9d3" kind="define" prot="public" static="no">
        <name>CYBSP_SWO</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: SWO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="204" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="204" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga9fba070d4040d6aa4f3e429bdfc38946" kind="define" prot="public" static="no">
        <name>CYBSP_SWDIO</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: SWDIO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="208" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="208" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga8f50aad29445466679abdcc75dcd9796" kind="define" prot="public" static="no">
        <name>CYBSP_SWDCK</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: SWDCK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="212" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="212" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga020ca7a044acda4b35e451513e5830df" kind="define" prot="public" static="no">
        <name>CYBSP_QSPI_SS</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: QUAD SPI SS. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="217" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="217" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga2ad55ac5a5ea027d72c8f702c7f9bbde" kind="define" prot="public" static="no">
        <name>CYBSP_QSPI_D3</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: QUAD SPI D3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="221" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="221" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gada7037ba6e38219866f2892f87886b62" kind="define" prot="public" static="no">
        <name>CYBSP_QSPI_D2</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: QUAD SPI D2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="225" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="225" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga432faefd95828b8d45709aa8302a9433" kind="define" prot="public" static="no">
        <name>CYBSP_QSPI_D1</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: QUAD SPI D1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="229" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="229" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gaaea1a4ddc9aa57c45c4d6695b78ee878" kind="define" prot="public" static="no">
        <name>CYBSP_QSPI_D0</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: QUAD SPI D0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="233" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="233" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga2bae07a55adc9f31e828312bc8fbdd82" kind="define" prot="public" static="no">
        <name>CYBSP_QSPI_SCK</name>
        <initializer>(NC)</initializer>
        <briefdescription>
<para>Pin: QUAD SPI SCK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="237" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="237" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga8643a26f39112d7f87aa8b6ebcdcd1b0" kind="define" prot="public" static="no">
        <name>CYBSP_WIFI_HOST_WAKE_GPIO_DM</name>
        <initializer>(CYHAL_GPIO_DRIVE_ANALOG)</initializer>
        <briefdescription>
<para>Host-wake GPIO drive mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="241" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="241" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gae4668c08493082ab2d7dca34eb8a9777" kind="define" prot="public" static="no">
        <name>CYBSP_WIFI_HOST_WAKE_IRQ_EVENT</name>
        <initializer>(CYHAL_GPIO_IRQ_RISE)</initializer>
        <briefdescription>
<para>Host-wake IRQ event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" bodystart="243" column="9" file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" line="243" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Description: Template for application-specific pin definitions. </para>    </briefdescription>
    <detaileddescription>
<para>All of the pins are configured as NC. Change the macros for the pins used by the application (e.g. define CYBSP_DEBUG_UART_TX P5_1).</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="27"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_USING_HAL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_pin_package.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(COMPONENT_BSP_DESIGN_MODUS)<sp />||<sp />defined(COMPONENT_CUSTOM_DESIGN_MODUS)</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cycfg.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED_STATE_ON</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED_STATE_ON<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED_STATE_OFF</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED_STATE_OFF<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="preprocessor">#ifndef<sp />CYBSP_BTN_PRESSED</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BTN_PRESSED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="preprocessor">#ifndef<sp />CYBSP_BTN_OFF</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BTN_OFF<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="preprocessor">#if<sp />defined(CY_USING_HAL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED1</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_LED1</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_LED1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_LED1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_LED</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_LED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_USER_LED1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="preprocessor">#ifndef<sp />CYBSP_SW1</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SW1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_BTN1</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_BTN1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_SW1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_BTN</highlight><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_BTN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_USER_BTN1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="preprocessor">#ifndef<sp />CYBSP_WIFI_SDIO_D0</highlight><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_WIFI_SDIO_D0<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="preprocessor">#ifndef<sp />CYBSP_WIFI_SDIO_D1</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_WIFI_SDIO_D1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="preprocessor">#ifndef<sp />CYBSP_WIFI_SDIO_D2</highlight><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_WIFI_SDIO_D2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="preprocessor">#ifndef<sp />CYBSP_WIFI_SDIO_D3</highlight><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_WIFI_SDIO_D3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="preprocessor">#ifndef<sp />CYBSP_WIFI_SDIO_CMD</highlight><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_WIFI_SDIO_CMD<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="preprocessor">#ifndef<sp />CYBSP_WIFI_SDIO_CLK</highlight><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_WIFI_SDIO_CLK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="preprocessor">#ifndef<sp />CYBSP_WIFI_WL_REG_ON</highlight><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_WIFI_WL_REG_ON<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="preprocessor">#ifndef<sp />CYBSP_WIFI_HOST_WAKE</highlight><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_WIFI_HOST_WAKE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="preprocessor">#ifndef<sp />CYBSP_BT_UART_RX</highlight><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BT_UART_RX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="preprocessor">#ifndef<sp />CYBSP_BT_UART_TX</highlight><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BT_UART_TX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="preprocessor">#ifndef<sp />CYBSP_BT_UART_RTS</highlight><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BT_UART_RTS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="preprocessor">#ifndef<sp />CYBSP_BT_UART_CTS</highlight><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BT_UART_CTS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="preprocessor">#ifndef<sp />CYBSP_BT_POWER</highlight><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BT_POWER<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal" /></codeline>
<codeline lineno="176"><highlight class="preprocessor">#ifndef<sp />CYBSP_BT_HOST_WAKE</highlight><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BT_HOST_WAKE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="179"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="preprocessor">#ifndef<sp />CYBSP_BT_DEVICE_WAKE</highlight><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BT_DEVICE_WAKE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="preprocessor">#ifndef<sp />CYBSP_DEBUG_UART_RX</highlight><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_DEBUG_UART_RX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="preprocessor">#ifndef<sp />CYBSP_DEBUG_UART_TX</highlight><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_DEBUG_UART_TX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="preprocessor">#ifndef<sp />CYBSP_I2C_SCL</highlight><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_I2C_SCL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="preprocessor">#ifndef<sp />CYBSP_I2C_SDA</highlight><highlight class="normal" /></codeline>
<codeline lineno="199"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_I2C_SDA<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="201"><highlight class="normal" /></codeline>
<codeline lineno="203"><highlight class="preprocessor">#ifndef<sp />CYBSP_SWO</highlight><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SWO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="205"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="preprocessor">#ifndef<sp />CYBSP_SWDIO</highlight><highlight class="normal" /></codeline>
<codeline lineno="208"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SWDIO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="210"><highlight class="normal" /></codeline>
<codeline lineno="211"><highlight class="preprocessor">#ifndef<sp />CYBSP_SWDCK</highlight><highlight class="normal" /></codeline>
<codeline lineno="212"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SWDCK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="214"><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="preprocessor">#ifndef<sp />CYBSP_QSPI_SS</highlight><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_QSPI_SS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="218"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="219"><highlight class="normal" /></codeline>
<codeline lineno="220"><highlight class="preprocessor">#ifndef<sp />CYBSP_QSPI_D3</highlight><highlight class="normal" /></codeline>
<codeline lineno="221"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_QSPI_D3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="222"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="223"><highlight class="normal" /></codeline>
<codeline lineno="224"><highlight class="preprocessor">#ifndef<sp />CYBSP_QSPI_D2</highlight><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_QSPI_D2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="226"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="227"><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="preprocessor">#ifndef<sp />CYBSP_QSPI_D1</highlight><highlight class="normal" /></codeline>
<codeline lineno="229"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_QSPI_D1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="preprocessor">#ifndef<sp />CYBSP_QSPI_D0</highlight><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_QSPI_D0<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="234"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="preprocessor">#ifndef<sp />CYBSP_QSPI_SCK</highlight><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_QSPI_SCK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(NC)</highlight><highlight class="normal" /></codeline>
<codeline lineno="238"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="239"><highlight class="normal" /></codeline>
<codeline lineno="241"><highlight class="preprocessor">#define<sp />CYBSP_WIFI_HOST_WAKE_GPIO_DM<sp />(CYHAL_GPIO_DRIVE_ANALOG)</highlight><highlight class="normal" /></codeline>
<codeline lineno="242"><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="preprocessor">#define<sp />CYBSP_WIFI_HOST_WAKE_IRQ_EVENT<sp />(CYHAL_GPIO_IRQ_RISE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="244"><highlight class="normal" /></codeline>
<codeline lineno="249"><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CY_USING_HAL)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="250"><highlight class="normal" /></codeline>
<codeline lineno="251"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="252"><highlight class="normal">}</highlight></codeline>
<codeline lineno="253"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight></codeline>
    </programlisting>
    <location file="bsp/boards/psoc6/PSOC6-GENERIC/cybsp_types.h" />
  </compounddef>
</doxygen>